"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSchema = void 0;
/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */

const fs_1 = __importDefault(require("fs"));

function getSchema(resolvedPath) {
  const result = fs_1.default.readFileSync(resolvedPath, {
    encoding: 'utf-8'
  });

  if (result.length === 0) {
    throw new Error('empty schema detected');
  }

  return result;
}

exports.getSchema = getSchema;